#corner-box
{
    display: inline-block;
    width: var(--sidebar-width);
    height: var(--header-height);
}

.main-logo
{
    margin: 3px 0 0 5px;
}

/* Search */

.search-box
{
    display: inline-block;
    vertical-align: top;
    margin: 15px 0 0 15px;
}

#search-input
{
    display: inline-block;
    vertical-align: top;
    width: 300px;
    height: 45px;
    
    outline: none;
    border: 2px solid var(--back4);
    background-color: var(--back3);
    -webkit-appearance: none;
    -moz-appearance: none;
    box-shadow: none;
    color: var(--high-white);
    font-size: 1.5em;
    text-indent: .3em;
}
#search-clear
{
    width: 45px;
    height: 47px;
    margin: 0 0 0 -7px;

    outline: none;
    border: 2px solid var(--back4);
    background-color: var(--back3);
    -webkit-appearance: none;
    -moz-appearance: none;
    box-shadow: none;
    color: var(--high-white);
    font-size: 1.5em;
    text-align: center;
    font-family: AwesomeSolid;
}

#search-clear:hover, #search-input:hover
{
    background-color: var(--back2);
}

#search-clear:active
{
    background-color: var(--back4);
}

#search-box:active
{
    outline: none;
}

/* /Search */

/* User Login Header */

#user-login-header
{
    float: right;
    vertical-align: top;

    display: grid;
    grid-template-areas: 'icon text';

    cursor: pointer;
    user-select: none;
}

#user-login-header:hover
{
    filter: brightness(1.3);
}
#user-login-header:active
{
    filter: brightness(1.5);
}

#user-login-header > *
{
    display: block;
}

#user-login-header > span
{
    grid-area: icon;
    font-size: 35px;
    margin-top: 18px;
    margin-right: 15px;

    color: var(--high-color);
}

#user-login-header > h2
{
    grid-area: text;
    margin-right: 25px;

    color: var(--high-color);
}

/* /User Login Header */

/* User Menu Header */

#user-menu-header
{
    height: 100%;
    padding-left: 10px;
    float: right;
    vertical-align: top;
    transform: translateX(100px);

    display: grid;
    grid-template-areas: 'name icon arrow buttons';
    grid-template-rows: 100%;
    align-items: center;

    cursor: pointer;
    user-select: none;
    transition: transform .2s ease-in;
}

#user-menu-header:hover
{
    filter: brightness(1.3);
    transform: translateX(0);
}
#user-menu-header:active
{
    filter: brightness(1.5);
}

#user-menu-header > *
{
    display: block;
}

#user-menu-header > h2
{
    grid-area: name;
    margin-right: 25px;
    font-size: 1em;

    color: var(--high-color);
}

#user-menu-header > img
{
    grid-area: icon;
    height: 80%;
    margin: 0 15px 0 0;

    border: 1px solid var(--active);
    border-radius: 3px ;
}

#user-menu-header > span
{
    grid-area: arrow;
    font-size: 35px;
    margin-right: 15px;

    color: var(--mid-white);
}

#user-menu-header > div
{
    grid-area: buttons;
    font-size: 30px;
    margin: 0 10px 0 5px;

    color: var(--active);
}

#user-menu-header > div > button
{
    margin: 0 5px;
}

#user-menu-header > div > button:hover
{
    color: var(--high-color);
}

/* /User Menu Header */

/* User Login Menu */

#user-login-menu
{
    position: fixed;
    top: calc(var(--header-height) + 0px);
    right: 0;
    width: 350px;
    padding-bottom: 25px;

    background-color: var(--back2);
    border-top: 2px solid var(--back3);
    border-left: 2px solid var(--back5);
    border-bottom: 2px solid var(--back5);
}

#user-login-menu > h3
{
    margin: 20px 10px 10px 10px;

    font-size: 1.3em;
    color: var(--high-color);
    font-weight: normal;
}

#user-login-menu > .password-login > input
{
    display: block;
    width: 80%;
    margin: 10px 0 0 10%;
    font-size: 1.3em;
    padding: 5px;

    border: 1px solid var(--back5);
    background-color: var(--back1);
    color: var(--high-white);
}
#user-login-menu > .password-login > input:focus
{
    outline: none;
}

#user-login-menu > .password-login > button
{
    display: block;
    width: 60%;
    margin: 10px 0 0 20%;
    font-size: 1.3em;
    padding: 5px;

    background-color: var(--active);
    color: var(--high-white);
    text-align: center;

    transition: background-color .1s ease-in;
}
#user-login-menu > .password-login > button:hover
{
    background-color: var(--high-color);
}

#user-login-menu > .alternate-logins
{
    padding: 10px;

    display: grid;
    grid-template-areas: 'l1 r1'
                         'l2 r2'
                         'disclaimer disclaimer';
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

#user-login-menu > .register-login
{
    display: block;

    text-align: center;
    color: var(--high-white);
}

#user-login-menu .login-disclaimer
{
    margin: 0;
    color: var(--mid-white);
    grid-area: disclaimer;
    font-size: .8em;
    text-align: center;
}

#user-login-menu .login-error
{
    margin: 5px 0;
    color: var(--mid-white);
    grid-area: disclaimer;
    font-size: 1em;
    height: 1em;

    text-align: center;
    color: var(--mid-error);
}

#login-button > .spinner-border
{
    margin: 0 auto;
    height: 1em;
    width: 1em;
}

#login-button .spinner-core
{
    background-color: var(--active);
    transition: background-color .1s ease-in;
}

#login-button:hover .spinner-core
{
    background-color: var(--high-color);
}

/* /User Login Menu */